Aller au contenu
  • Pas encore inscrit ?

    Pourquoi ne pas vous inscrire ? C'est simple, rapide et gratuit.
    Pour en savoir plus, lisez Les avantages de l'inscription... et la Charte de Zébulon.
    De plus, les messages que vous postez en tant qu'invité restent invisibles tant qu'un modérateur ne les a pas validés. Inscrivez-vous, ce sera un gain de temps pour tout le monde, vous, les helpeurs et les modérateurs ! :wink:

apt-get upgrade & Xnview


Messages recommandés

Slt à tous,

 

J'ai un petit problème avec les mises à jour de ma Sid, j'ai installé xnview en convertissant un package rpm et depuis j'ai un conflit de librairies lors de al mise à jour de X, en fait la lib libxt6 appartient à la fois à x et a xnview.

Comme puis-je faire pour me sortir de ce conflit ?

 

Thx

Lien à poster
Partager sur d’autres sites

Maintenant j'ai un problème de dépendances, j'ai regardé le man dpkg mais je n'ai rien trouvé d'interessant et si je rajoute les paquets à ma commande dpkg, j'ai d'autres dépendances qui sortent. :P

Lien à poster
Partager sur d’autres sites

lors de ton apt-get upgrade, il y a du y avoir des paquets restés en attente de configuration (notamment à cause du problème de la librairie appartenant à 2 paquets); as tu essayé de faire un coup de

apt-get -f install

après la commande sus-citée?

 

si apt bloque sur un package, l'utilisation de

dpkg --remove <lepaquet>

pourra s'avérer nécessaire (voire utiliser dselect)

Modifié par Greywolf
Lien à poster
Partager sur d’autres sites

Bon, j'ai résolu mon problème en supprimant le paquet d'xnview avant de faire mon apt-get upgrade puis en le remettant.

Mais je viens de penser, est ce que je ne pourrais pas faire comme pour les drivers ati, à savoir

dpkg-divert --package fglrx-glc22 --add /usr/X11R6/lib/libGL.so.1.2
Lien à poster
Partager sur d’autres sites

:P mais ça pourrait être une solution pour placer la lib xnview dans /usr/local/lib.

 

j'allais te demander pourquoi avoir utilisé un rpm xnview mais en effet pas de deb en vue... la compilation des sources et l'installation dans /usr/local aurait permis d'éviter le problème de dépendances lors de l'upgrade également, je pense.

Lien à poster
Partager sur d’autres sites

Join the conversation

You are posting as a guest. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

  • En ligne récemment   0 membre est en ligne

    Aucun utilisateur enregistré regarde cette page.

×
×
  • Créer...